# List postgres backups

`GET https://api.instacloud.com/projects/{projectId}/backups`

**Token scope:** `account` · `org` · `project` — read-only tokens allowed.

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `group` | query | `string` | no | postgres service name (default: the sole postgres service) |
| `projectId` | path | `string` | yes |  |

## Response 200

Default Response

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `backups` | `object[]` | no |  |
| `backups.id` | `string` | no |  |
| `backups.name` | `string` | no |  |
| `backups.type` | `string` | no | provider backup type, such as full or incr |
| `backups.tags` | `object` | no | provider backup tags; tags.type=manual marks user-created manual backups |
| `backups.createdAt` | `string` | no |  |
| `backups.timestamp` | `string` | no |  |
| `backups.sizeBytes` | `number` | no |  |

## Response 400

Default Response

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `error` | `string` | yes |  |

## Response 403

Default Response

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `error` | `string` | yes |  |

## Response 404

Default Response

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `error` | `string` | yes |  |

## Response 409

Default Response

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `error` | `string` | yes |  |

## Response 502

Default Response

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `error` | `string` | yes |  |
